function matrix = calculateCoeff(x, y) %input 2 4x1 vectors, output 3x3

a31_top = (x(1)-x(2)+x(3)-x(4))*(y(4)-y(3)) - (y(1)-y(2)+y(3)-y(4))*(x(4)-x(3));
%         ---------------------------------------------------------------------
a31_bot =         (x(2)-x(3))*(y(4)-y(3)) - (x(4)-x(3))*(y(2)-y(3));
a31 = a31_top/a31_bot;

a32_top = (y(1)-y(2)+y(3)-y(4))*(x(2)-x(3)) - (x(1)-x(2)+x(3)-x(4))*(y(2)-y(3));
%        ----------------------------------------------------------------------
a32_bot =         (x(2)-x(3))*(y(4)-y(3)) - (x(4)-x(3))*(y(2)-y(3));
a32 = a32_top/a32_bot;

a11 = x(2)-x(1)+a31*x(2);
a12 = x(4)-x(1)+a32*x(4);
a13 = x(1);
a21 = y(2)-y(1)+a31*y(2);
a22 = y(4)-y(1)+a32*y(4);
a23 = y(1);

matrix =   [a11 a12 a13;
            a21 a22 a23;
            a31 a32 1  ];
