function value = interpolatePoint(x,y,sourcePic)
% x y floating point positions in source picture. Outputs target
% (interpolated) pixel value.

u = floor(x);
v = floor(y);
a = x-u;
b = y-v;

u_border = (u >= size(sourcePic,1)); % bool: u/v on the picture border
v_border = (v >= size(sourcePic,2));

%Default (if no pixels are at the border:
%B = sourcePic(u+1,v);
%C = sourcePic(u,v+1);
%D = sourcePic(u+1,v+1);
if(u > size(sourcePic,1) || v > size(sourcePic,2) || u <= 0 || v <= 0) %if the pixel is outside the picture, we return black
    value = 0;
else
    A = sourcePic(u,v);
    if(u_border)
        B = A;
        if(v_border) %the pixel is in a corner
            C = A;
            D = A;
        else
            C = sourcePic(u,v+1);
            D = C;
        end
    else
        B = sourcePic(u+1,v);
        if(v_border)
            C = A;
            D = B;
        else %the pixel is not at any edge
            C = sourcePic(u,v+1);
            D = sourcePic(u+1,v+1);
        end
    end

    E = A + a*(B-A);
    F = C + a*(D-C);
    value = E + b*(F-E);
end