function A = generateDots(N,nDots, dotSize)

if(nargin < 3)
    dotSize = 5; % in pixels
end
if(nargin < 2)
    nDots = 8;    % creates 8x8 dots
end
if(nargin < 1)
    N = 256; % pixel size of the picture    
end
N = cast(N,'int32');
A = ones(cast(N,'int32')); % 1 = white, 0 = black
dotStart = N/nDots/2-dotSize/2; %the first dot
yDot = dotStart;
for i = 1:nDots
    xDot = dotStart;
    for j = 1:nDots
        A(xDot:xDot+dotSize,yDot:yDot+dotSize) = 0;
        xDot = xDot+N/nDots;
    end
    yDot = yDot+N/nDots;
end
A = uint8(floor(256*A));