function A = generateGrid(N,K,thickness)
if(nargin < 3)
    thickness = 0.03; % thickness of wall relative to each route
end
if(nargin < 2)
    K = 8;    % creates a K by K grid
end
if(nargin < 1)
    N = 1024; % pixel heigth of the picture    
end
A = ones(N); % 1 = white, 0 = black
for i = 1:N
    for j = 1:N
        for k = 0:K
           if( i > k*N/K-thickness*N/K && i < k*N/K+thickness*N/K ) || (j > k*N/K-thickness*N/K && j < k*N/K+thickness*N/K )
               A(i,j) = 0;
           end
        end
    end
end
A = uint8(floor(256*A));
%imshow(A)
imwrite(A,'C:\Users\eikarlse\grid.bmp','bmp')