function picOut = nearestNeighbour(N,picIn)
if nargin < 1
    N = 10;
end
if (nargin < 2)
    picIn = smallPic(N); % genererer et bilde hvor indeksen til en piksel 
    % er lik ( mod(pix,N)+1 , floor(pix/N)+1 ) (matlab-indexer)
end
if (nargin == 2)
    N = length(picIn);
end

[height, width] = size(picIn);
unitSquare = angle2UnitSquare(pi/6);
origin = [0 0; N 0; N N; 0 N]; %origin
%nusq = [1-0.68 1-0.776 ;1 0; 1 1; 1-0.68 0.776];
matrix = getMatrix(unitSquare*N,origin);

picOut = zeros(height, width);
picIn = picIn';
for u = 1:width
    for v = 1:height
        [x, y] = mapPoint(v,u,matrix);
        x = round(x); 
        y = round(y);
        if (x > 0 && x <= N && y > 0 && y <= N)
            picOut(u,v) = picIn(x,y);
        else
            picOut(u,v) = -1;
        end
    end
end

