function plotMapping()
N = 12;

% iterate through an NxN image
% plot the dots in the input domain

%% Perspective parameters
    % Px | Py %
%P = [1.6720 1.2080];
dim = [N N];

%% Matrix parameters
angle = pi/4;
unitSquare = angle2UnitSquare(angle);
origin = [0 0; N 0; N N; 0 N]; %origin
matrix = getMatrix(unitSquare*N,origin);


%% Plot picture frame
figure
mDatY = zeros(dim);
pDatY = zeros(dim);
mDatX = zeros(dim);
pDatX = zeros(dim);


line([0 0], [0 N],'LineWidth',2,'Color','k')
hold on
line([0 N], [N N],'LineWidth',2,'Color','k')
line([N N], [N 0],'LineWidth',2,'Color','k')
line([N 0], [0 0],'LineWidth',2,'Color','k')

for y = 0:(N-1)
    line([0 N], [y y],'Color','k')
    line([y y], [0 N],'Color','k')
    for x = 0:(N-1)
%         [xpo, ypo] = getPerspectiveMapping(x,y,dim);
%         scatter(xpo,N-ypo,'b','LineWidth',2) % y=0 skal vre verst, og ikke nederst i bilde
        
        [xmo, ymo] = mapPoint(x,y,matrix);
        scatter(xmo,N-ymo,'r','LineWidth',2)
        
        %logging:
%        pDatY(x+1,y+1) = ypo;
        mDatY(x+1,y+1) = ymo;
%        pDatX(x+1,y+1) = xpo;
        mDatX(x+1,y+1) = xmo;

    end 
end

%% plot difference

% mydiff = zeros(1,N-1);
% pydiff = zeros(1,N-1);
% mxdiff = zeros(1,N-1);
% pxdiff = zeros(1,N-1);
% row = floor(N/2); % dont care
% for i = 1:(N-1)
%     % regne ut dy (nr y-data logges)
%     mydiff(i) = mDatY(i,row+1)-mDatY(i,row);
%     pydiff(i) = pDatY(i,row+1)-pDatY(i,row);
% 
%     % regne ut dx (nr x-data logges)
%     mxdiff(i) = mDatX(i+1,row)-mDatX(i,row);
%     pxdiff(i) = pDatX(i+1,row)-pDatX(i,row);
% end
% dydiff = pydiff-mydiff;
% dxdiff = pxdiff-mxdiff;
% 
% figure
% plot(dxdiff)
% title('The difference in D_x between matrix and iterative');
% figure
% plot(dydiff)
% title('The difference in D_y between matrix and iterative');
