rotation = pi/3; % radians

zoomFactor = 0.4;%maxZoomFactor(rotation); % 0.75;
horShrink = horShrinkFactor(rotation); % 0.50;

clena       = true;
cmandril    = false;
cgrid       = false;
cdot        = false;
close all

% lena
if(clena)
    clear lena plena pplena

    lena = picread('lena_color.jpg');
    lena = makeDiagonal(uint8(lena.Y));
    figure
    imshow(lena)
    title('Original lena image')

%    plena = pScaleHor(lena,round(512*horShrink),zoomFactor);
    plena = pScaleHor(lena,512,0.9); % siden den modifiserte 
    % algoritmen "gr tom for plass" gir det automatisk hor-shrink-effekt

     figure
     imshow(plena)
     title('lena non-uniformly downscaled');

    pplena = pScaleVert(plena,512,0.5);
    figure
    imshow(pplena)
    title('lena in perspective, reference-algorithm')
end

% mandril
if(cmandril)
    clear mandril pmandril ppmandril

    mandril = picread('mandril.jpg');
    mandril = uint8(mandril.Y);
    figure
    imshow(mandril)
    title('Original mandril image')
    
    pmandril = pScaleHor(mandril,round(128*horShrink),zoomFactor);
%     figure
%     imshow(pmandril)
%     title('mandril non-uniformly downscaled');

    ppmandril = pScaleVert(pmandril,128,zoomFactor);
    figure(1)
    imshow(ppmandril)
    title('mandril in perspective, reference-algorithm')
end

% grid
if(cgrid)
    clear grid pgrid ppgrid

    grid = generateGrid(256,4);
    pgrid = pScaleHor(grid,round(256*horShrink),zoomFactor);
    ppgrid = pScaleVert(pgrid,256,zoomFactor);

    figure
    imshow(grid)
    title('Original grid')

%     figure
%     imshow(pgrid)
%     title('non-uniformly scaled grid')

    figure
    imshow(ppgrid)
    title('grid in perspective, reference-algorithm')
end

% dot
if(cdot)
    clear dot pdot ppdot

    dot = generateDots(512);
    pdot = pScaleHor(dot,round(512*horShrink),zoomFactor);
    ppdot = pScaleVert(pdot,512,zoomFactor);

    figure
    imshow(dot)
    title('Original dot-picture')

%     figure
%     imshow(pdot)
%     title('non-uniformly scaled dot-picture')

    figure
    imshow(ppdot)
    title('dot-picture in perspective, reference-algorithm')
end
