function [xo, yo] = getPerspectiveMapping(xi, yi, dim, P)
if (nargin < 4)
    P = [1.6720 0.6080];
end
% skal ha x og y fra 0 til W-1 og H-1
Px = P(1); Py = P(2); % Perspective factors for x and y dimension
H = dim(1); W = dim(2); % height and width
xo = 0.5 + xi*(1+0.5*xi*(xi+1)*Px/W^2); % normaliserer Px med W^2 for  
                % unng variasjoner i Dx (gjelder tilnrmet for store W)
%slope = -Py+yi*2*Py/(H-1);
slope = Py*(H-1)/(2*H) - Py*yi/H;

%Choose one version:
% % Simple Version: % %
yo = 0.5-slope*xi+yi; % '-' because index 0 is at the botton of the image. 

% % Improved Version: % %
% yo = 0.5-slope*xo+yi; % using xo instead of xi is equivalent to
                      % multiplying slope with x_inc
