function picout = pScaleHor(pic, output_hsize, zoomFactor)

input_hsize = size(pic,2);

% choose coefficient
hcoeff = chooseCoeff(input_hsize, output_hsize);

% Number of bits after decimal point used to represent distance between two
% output pixels. Must be same as VHDL model for accurate result
subpixel_width = 14;

hdelta = delta_value(input_hsize, output_hsize, subpixel_width);
hstart_pixel = start_pixel_value(input_hsize, output_hsize, subpixel_width);

% Allocate space for output picture
picout = zeros(size(pic,1), round(size(pic,2) / hdelta));

% First pixel location
xout = hstart_pixel;

%%%% scale horizontally with dynamic scale factor %%%%

% zooms in the left part of the image
%hdelta = hdelta - zoomFactor;

%hdeltas = zeros(1,output_hsize); % debug

for i=1:output_hsize

    picout(:, i) = colScaler(pic,xout,hcoeff);
    %hdeltas(i) = hdelta; %debug
    % Next output pixel location
    xout = xout + hdelta;
    hdelta = hdelta + zoomFactor*2/output_hsize;
    %hdelta = hdelta + zoomFactor/output_hsize;
end

% debug:
%zoomFactor
%hdeltas

picout = uint8(picout);
end