function picout = pScaleVert(pic, output_vsize, zoomFactor)

[input_vsize input_hsize] = size(pic);

coeff = chooseCoeff(input_vsize,output_vsize);

height = output_vsize;

subpixel_width = 14;

% Number of phases between each input pixel
nphases = size(coeff,1);

% Number of filter taps
ntaps = size(coeff,2);

% Coefficients for each phase equals 128 in sum
csum = 128;

picout = uint8(zeros(output_vsize,input_hsize)); 

% pic(row, column) ==> pic(j,i)
for i=1:input_hsize %for each column in picture: pic(:,i)
    height_int = round(height/2)*2;
    column = zeros(height_int,1);

    xout = start_pixel_value(input_vsize, height_int, subpixel_width);
    xout_spacing = input_vsize/height; % prver  bruke uavrundet height her, se hvordan det funker...
    for j = 1:height_int % for each pixel in (the new) column

        globalphase = floor((xout)*nphases);
        phase = mod(globalphase, nphases) + 1 ;
        xin = floor(globalphase/nphases) - (floor(ntaps/2)-1) + 1;
        
        for tap=1:ntaps
            % Accumulate output column, filtering one tap at a time
            % Limit range of xin to actual input picture pixel range.
            % Will also replicate input pixels at the picture borders.
            column(j) = column(j) + coeff(phase, tap) * cast(pic(pad(xin, 1, size(pic,1),0),i), 'double');
            % Next tap applies to next pixel
            xin = xin + 1;
        end 
        xout = xout + xout_spacing;
    end
    
    height = height - zoomFactor;
    %picout((output_vsize-height_int)/2+1:(output_vsize+height_int)/2,i)= uint8(limit(round(column / csum), 0, 255));
    picout(1:height_int,i)= uint8(limit(round(column / csum), 0, 255));

end
