function picOut = transformPicPerspective(picIn, P)
if nargin < 2
    P = [1.6720 0.6080];
end
dim = size(picIn);

picOut = zeros(dim);
for v = 1:dim(1)
    for u = 1:dim(2)
        [x, y] = getPerspectiveMapping(u,v,dim,P);
        tmp = interpolateNN(dim(1)-y, x, picIn);
        picOut(dim(1)-v+1,u) = tmp;
    end
end
% % Old version:
% picOut = zeros(dim);
% picIn = picIn';
% for v = 1:dim(1)
%     for u = 1:dim(2)
%         [x, y] = getPerspectiveMapping(u,v,dim,P);
%         picOut(dim(1)-v+1,u) = interpolatePoint(x,dim(1)-y,picIn);
%     end
% end
