library ieee;
use ieee.std_logic_1164.all;

entity pscaler_output_gen is
  generic (
    G_HMAXOUT_WIDTH : integer := 11;
    G_VMAXOUT_WIDTH : integer := 11;
    G_PIXEL_DEPTH   : integer := 8
    );

  port (
    clk       : in  std_logic;
    arst      : in  std_logic;
    ready     : in  std_logic;
    ready_out : out std_logic;

    image_start  : in std_logic;

    filter_value : in std_logic_vector(G_PIXEL_DEPTH-1 downto 0);
    datavalid_in : in std_logic;

    data_out      : out std_logic_vector(G_PIXEL_DEPTH-1 downto 0);
    datavalid_out : out std_logic);

end pscaler_output_gen;

architecture rtl of pscaler_output_gen is

begin  -- rtl

  -- data from filter is delayed by 3 clk cycles
  data_out <= filter_value;



end rtl;
